: Class LDAP_Server

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook.addresscard
Class LDAP_Server

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.LDAP_Server

public class LDAP_Server
extends java.lang.Object
implements ICardSource, IQueryString

Constructor Summary
`LDAP_Server(java.lang.String ServerName)`
`LDAP_Server(java.lang.String aServerName, int aPort, java.lang.String aUserName, java.lang.String aPassword)`

Method Summary
`void` | `add(ICard aCard)` Add an entry to the server.
`LDAP_Card` | `checkMyCard(ICard aCard)` Delete an entry from the server.
`void` | `close()` Close the addres card source
`void` | `delete(ICard aCard)` Delete an entry from the server.
`ICardSet` | `getCardSet(ITerm aQueryTerm, java.lang.String[] anAttributesArray)` Retrieveing address cards as a set.
`java.lang.String` | `opAnd(ITerm aLeftTerm, ITerm aRightTerm)`
`java.lang.String` | `opEqual(IAttribute ACA)`
`java.lang.String` | `opGTE(IAttribute ACA)`
`java.lang.String` | `opLTE(IAttribute ACA)`
`java.lang.String` | `opNotEqual(IAttribute ACA)`
`java.lang.String` | `opOr(ITerm aLeftTerm, ITerm aRightTerm)`
`void` | `update(ICard aCard)` Update an entries attributes on the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAP_Server

    public LDAP_Server(java.lang.String ServerName)

### LDAP_Server

    public LDAP_Server(java.lang.String aServerName,
                       int aPort,
                       java.lang.String aUserName,
                       java.lang.String aPassword)

Method Detail

### close

    public void close()

  Close the addres card source
  Specified by:
    close in interface ICardSource

### opAnd

    public java.lang.String opAnd(ITerm aLeftTerm,
                                  ITerm aRightTerm)

  Specified by:
    opAnd in interface IQueryString

### opOr

    public java.lang.String opOr(ITerm aLeftTerm,
                                 ITerm aRightTerm)

  Specified by:
    opOr in interface IQueryString

### opEqual

    public java.lang.String opEqual(IAttribute ACA)

  Specified by:
    opEqual in interface IQueryString

### opNotEqual

    public java.lang.String opNotEqual(IAttribute ACA)

  Specified by:
    opNotEqual in interface IQueryString

### opGTE

    public java.lang.String opGTE(IAttribute ACA)

  Specified by:
    opGTE in interface IQueryString

### opLTE

    public java.lang.String opLTE(IAttribute ACA)

  Specified by:
    opLTE in interface IQueryString

### getCardSet

    public ICardSet getCardSet(ITerm aQueryTerm,
                               java.lang.String[] anAttributesArray)

  Retrieveing address cards as a set.
  Specified by:
    getCardSet in interface ICardSource

### add

    public void add(ICard aCard)
             throws AC_Exception

  Add an entry to the server.
  Specified by:
    add in interface ICardSource

### checkMyCard

    public LDAP_Card checkMyCard(ICard aCard)
                          throws AC_Exception

  Delete an entry from the server.

### delete

    public void delete(ICard aCard)
                throws AC_Exception

  Delete an entry from the server.
  Specified by:
    delete in interface ICardSource

### update

    public void update(ICard aCard)
                throws AC_Exception

  Update an entries attributes on the server.
  Specified by:
    update in interface ICardSource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD